Subject: Re: bug#19061: [PATCH] dfa: building superset, access to unallocated memory

From: Norihiro Tanaka <[email-masked]>
Date: Sun, 16 Nov 2014 18:18:04 +0900

On Sat, 15 Nov 2014 22:27:50 -0800
Jim Meyering <[email-masked]> wrote:
> Thanks for confirming.
> In that case, since I see no harm in calling xnmalloc with N = 0, I
> will use a more conservative change: guard only the undefined use of
> memcpy.
> I've left your name on this amended patch.

Thanks for the ajustment.  You are right, but the purpose of the code
is to make a clone of original DFA.  If we do not guard xnmalloc, when
calloc is 0, charclasses is NULL in original DFA, and it is *NOT* NULL
in the superset.  I think that it is not right logically.